const now = +(new Date());
let index = 0;

export function initFileList(fileList) {
	return fileList.map((item) => {
		if(typeof item === 'object') {
			item.uid = uid();
			return item;
		} else {
			return {
				fileURI: item,
				uid: uid()
			}
		}
	});
}


export default function uid() {
  return `${now}-${++index}`;
}