'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

exports.initFileList = initFileList;
exports.default = uid;
var now = +new Date();
var index = 0;

function initFileList(fileList) {
	return fileList.map(function (item) {
		if ((typeof item === 'undefined' ? 'undefined' : _typeof(item)) === 'object') {
			item.uid = uid();
			return item;
		} else {
			return {
				fileURI: item,
				uid: uid()
			};
		}
	});
}

function uid() {
	return now + '-' + ++index;
}